Skip to content

Store the active profile's save of a game; the last write wins.

PUT
/api/progress/saves/{gameId}
curl --request PUT \
--url https://example.com/api/progress/saves/example \
--header 'Content-Type: application/json' \
--data '{ "data": "example" }'
gameId
required
string
Media typeapplication/json
object
data
required

Example generated

{
"data": "example"
}

OK

Media typeapplication/json
object
gameId
required
string
data
required
updatedAt
required
string format: date-time

Example generated

{
"gameId": "example",
"data": "example",
"updatedAt": "2026-04-15T12:00:00Z"
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}